Skip to main content
Merge

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

sourcePersonId
integer<int32>
required

The identifier for the person which will be merged into the destination person. The source person is deleted/marked retired after the merge.

destinationPersonId
integer<int32>
required

The identifier for the person which will remain after the merge. The target person is updated.

Query Parameters

moveAfterDate
string<date-time>
required

Merge activites after this date. Activities before this date are left alone.

deleteSource
boolean

If true, the source person will be deleted after the merge. If false, it will have its retired flag set

replaceEmptyFieldsOnDestination
boolean

If true, empty fields on destination will be replaced by values from source.

Response

204

No Content